## pybind11 2.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,11 @@
 # BSD-style license that can be found in the LICENSE file.
 
 cmake_minimum_required(VERSION 2.8.12)
+
+if (POLICY CMP0048)
+  # cmake warns if loaded from a min-3.0-required parent dir, so silence the warning:
+  cmake_policy(SET CMP0048 NEW)
+endif()
 
 project(pybind11)
