=== debian/changelog ===
pybind11 (2.0.1-4) unstable; urgency=medium

  * Build the tests with the default Python 3 version.
    Thanks to Adrian Bunk (Closes: #867551)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 20 Jul 2017 14:56:01 +0100

pybind11 (2.0.1-3) unstable; urgency=medium

  * Run autopkgtests for all supported Python versions

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sat, 25 Feb 2017 12:11:08 +0000

pybind11 (2.0.1-2) unstable; urgency=medium

  * Fix missing CMake package configuration in -dev package
    - New patch 0002-Arch-indep-CMake-package-configuration.patch
    - Install the missing CMake package configuration
    - Use CMake to build the autopkgtest example tests
    Thanks to Jason Rhinelander for reporting (Closes: #854502)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 23 Feb 2017 13:16:46 +0000

pybind11 (2.0.1-1) unstable; urgency=medium

  * New upstream release
  * Use missing sphinxdoc:Built-Using substitution
  * Fix clean filters to enable repeated builds.
    Thanks to Giovani Ferreira for the review

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sat, 07 Jan 2017 17:36:51 +0000

pybind11 (2.0.0-1) unstable; urgency=medium

  * Remove gbp configuration in favor of git-dpm
  * Mangle upstream development versions
  * New upstream release
  * Add support for the nocheck build profile
    - Add versioned dependency on dpkg-dev
    - Mark build dependencies specific to testing as !nocheck
    - Do not build the test suite if nocheck is requested
  * Add support for the nodoc build profile
    - Mark build dependencies specific to the documentation as !nodoc
    - Add build dependency on sphinx-common for dh_sphinxdoc
    - Do not build the documentation if nodoc is requested

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 03 Jan 2017 15:44:46 +0000

pybind11 (2.0.0~rc1-1) unstable; urgency=medium

  * New upstream release
  * Switch to git-dpm
  * Refresh patch queue
  * Add build dependency on pytest
  * Update HTTP proxy setup to the latest guidelines

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Fri, 23 Dec 2016 16:39:46 +0000

pybind11 (1.8.1-2) unstable; urgency=medium

  * Fixup the source package maintainer and uploaders.
    - Move myself to list of uploaders.
    - Set Debian Science as maintainer.
  * Install the upstream changelog.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Fri, 02 Dec 2016 11:32:07 +0000

pybind11 (1.8.1-1) unstable; urgency=low

  * Initial release. (Closes: #844597)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 22 Nov 2016 11:43:53 +0000
