=== debian/control ===
Source: pybind11
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: libs
Priority: optional
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 10),
               dpkg-dev (>= 1.17.14),
               dh-python,
               python-all,
               python-pytest <!nocheck>,
               python-setuptools,
               python-sphinx <!nodoc>,
               python-sphinx-rtd-theme <!nodoc>,
               python3-all,
               python3-dev <!nocheck>,
               python3-pytest <!nocheck>,
               python3-setuptools,
               sphinx-common
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/pybind11.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/pybind11.git
Homepage: https://github.com/pybind/pybind11
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2

Package: pybind11-dev
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends}
Suggests: libeigen3-dev,
          pybind11-doc <!nodoc>
Description: seamless operability between C++11 and Python
 pybind11 is a lightweight header library that exposes C++ types in
 Python and vice versa, mainly to create Python bindings of existing C++
 code. Its goals and syntax are similar to the excellent Boost.Python
 library by David Abrahams: to minimize boilerplate code in traditional
 extension modules by inferring type information using compile-time
 introspection.
 .
 This package provides the header-only library.

Package: pybind11-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: documentation for pybind11
 pybind11 is a lightweight header library that exposes C++ types in
 Python and vice versa, mainly to create Python bindings of existing C++
 code. Its goals and syntax are similar to the excellent Boost.Python
 library by David Abrahams: to minimize boilerplate code in traditional
 extension modules by inferring type information using compile-time
 introspection.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

Package: python-pybind11
Architecture: all
Multi-Arch: foreign
Section: python
Depends: ${misc:Depends},
         ${python:Depends},
         pybind11-dev (= ${binary:Version})
Description: pybind11 helper module for Python 2
 pybind11 is a lightweight header library that exposes C++ types in
 Python and vice versa, mainly to create Python bindings of existing C++
 code. Its goals and syntax are similar to the excellent Boost.Python
 library by David Abrahams: to minimize boilerplate code in traditional
 extension modules by inferring type information using compile-time
 introspection.
 .
 This package provides pybind11 for Python 2.

Package: python3-pybind11
Architecture: all
Multi-Arch: foreign
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         pybind11-dev (= ${binary:Version})
Description: pybind11 helper module for Python 3
 pybind11 is a lightweight header library that exposes C++ types in
 Python and vice versa, mainly to create Python bindings of existing C++
 code. Its goals and syntax are similar to the excellent Boost.Python
 library by David Abrahams: to minimize boilerplate code in traditional
 extension modules by inferring type information using compile-time
 introspection.
 .
 This package provides pybind11 for Python 3.
