=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1

BUILD_OPTIONS = -DPYTHON_EXECUTABLE:FILEPATH=/usr/bin/$(shell py3versions -d)
ifneq (,$(findstring nocheck,$(DEB_BUILD_PROFILES)))
BUILD_OPTIONS += -DPYBIND11_TEST:BOOL=OFF
endif

export PYBUILD_NAME = pybind11

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=cmake

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --buildsystem=pybuild

override_dh_auto_configure:
	dh_auto_configure -- $(BUILD_OPTIONS)

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	dh_auto_build --buildsystem=pybuild
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	PYTHONPATH=. sphinx-build -N -b html docs build/html
endif

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs docs/changelog.rst
