## pybind11 2.2.3

=== debian/changelog ===
pybind11 (2.2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.2.3

 -- Drew Parsons <dparsons@debian.org>  Sat, 05 May 2018 22:36:18 +0800

pybind11 (2.2.2-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable. Closes: #890364.
  * Standards-Version: 4.1.4

 -- Drew Parsons <dparsons@debian.org>  Fri, 27 Apr 2018 11:29:49 +0800

pybind11 (2.2.2-1) experimental; urgency=medium

  * New upstream version 2.2.2
  * Upgrade watch file to version 4
  * Move Eigen and add Numpy to Recommends
  * Point the VCS URIs to salsa.debian.org
  * Bump the debhelper version to 11
  * Bump the standards version to 4.1.3

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 15 Feb 2018 11:34:31 +0000

pybind11 (2.2.1-1) experimental; urgency=medium

  * New upstream version 2.2.1
  * Drop the patch queue, no longer required
  * Prevent multiple install of headers
  * Add new test dependency on Boost
  * Test query of includes via pybind11
  * Add recommended get-orig-source target
  * Fixup the nocheck and nodoc guards
    - Replace occurrences of findstring with filter
    - Use DEB_BUILD_OPTIONS instead of DEB_BUILD_PROFILES
  * Fixup whitespacing in rules file
  * Drop superfluous dependency on python-pytest
  * Filter egg-info directory with extend-diff-ignore
  * Fixup the Vcs-Browser URI
  * Bump the standards version to 4.1.0
  * Update copyright information and dates.
    Thanks to Herbert Fortes for reviewing

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sat, 16 Sep 2017 17:40:27 +0100

pybind11 (2.1.1-1) experimental; urgency=medium

  * New upstream version 2.1.1
  * Drop numbering of the patch queue
  * Clean the docs using the upstream Makefile
  * Refactor the management of configuration arguments
  * Run tests for optional dependencies (eigen, numpy)
  * Bump standards version to 4.0.0, no changes required

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 20 Jul 2017 16:42:31 +0100

pybind11 (2.1.0-1) experimental; urgency=medium

  * Switch from git-dpm to gbp
  * New upstream version 2.1.0
  * Refresh the patch queue
  * Fixup the Vcs-Browser URI
  * Simplify the rules file
  * Update the packaging of the documentation
    - Use the Python 3 version of Sphinx and the RTD theme
    - Add new dependency on the breathe Sphinx extension
    - Call the upstream Makefile for the documentation
    - Install from and clean the docs build directory
  * Add DEP-8 tests for clang

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sat, 25 Mar 2017 13:35:01 +0000
