=== debian/control ===
--- 
+++ 
@@ -4,22 +4,26 @@
 Section: libs
 Priority: optional
 Build-Depends: cmake (>= 2.8.12),
-               debhelper (>= 10),
+               debhelper (>= 11),
                dpkg-dev (>= 1.17.14),
                dh-python,
+               libboost-dev (>= 1.56) <!nocheck>,
+               libeigen3-dev <!nocheck>,
                python-all,
-               python-pytest <!nocheck>,
                python-setuptools,
-               python-sphinx <!nodoc>,
-               python-sphinx-rtd-theme <!nodoc>,
                python3-all,
+               python3-breathe <!nodoc>,
                python3-dev <!nocheck>,
+               python3-numpy <!nocheck>,
                python3-pytest <!nocheck>,
+               python3-scipy <!nocheck>,
                python3-setuptools,
+               python3-sphinx <!nodoc>,
+               python3-sphinx-rtd-theme <!nodoc>,
                sphinx-common
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/pybind11.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/pybind11.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/science-team/pybind11
+Vcs-Git: https://salsa.debian.org/science-team/pybind11.git
 Homepage: https://github.com/pybind/pybind11
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
@@ -29,8 +33,8 @@
 Multi-Arch: foreign
 Section: libdevel
 Depends: ${misc:Depends}
-Suggests: libeigen3-dev,
-          pybind11-doc <!nodoc>
+Recommends: libeigen3-dev
+Suggests: pybind11-doc <!nodoc>
 Description: seamless operability between C++11 and Python
  pybind11 is a lightweight header library that exposes C++ types in
  Python and vice versa, mainly to create Python bindings of existing C++
@@ -66,6 +70,7 @@
 Depends: ${misc:Depends},
          ${python:Depends},
          pybind11-dev (= ${binary:Version})
+Recommends: python-numpy
 Description: pybind11 helper module for Python 2
  pybind11 is a lightweight header library that exposes C++ types in
  Python and vice versa, mainly to create Python bindings of existing C++
@@ -83,6 +88,7 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          pybind11-dev (= ${binary:Version})
+Recommends: python3-numpy
 Description: pybind11 helper module for Python 3
  pybind11 is a lightweight header library that exposes C++ types in
  Python and vice versa, mainly to create Python bindings of existing C++
