=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Prevent install of headers by setup.py.
export PYBIND11_USE_CMAKE=1

export PYBUILD_NAME=pybind11

CONFIGURE_ARGS=-DPYBIND11_INSTALL:BOOL=ON
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
CONFIGURE_ARGS+=-DPYBIND11_TEST:BOOL=ON \
	-DPYTHON_EXECUTABLE:FILEPATH=/usr/bin/$(shell py3versions -d)
else
CONFIGURE_ARGS+=-DPYBIND11_TEST:BOOL=OFF
endif

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=cmake

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --buildsystem=pybuild
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C docs clean
endif

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_ARGS)
	dh_auto_configure --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	dh_auto_build --buildsystem=pybuild
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C docs html
endif

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs docs/changelog.rst

get-orig-source:
	uscan --download-current-version --force-download --no-symlink
