=== debian/changelog ===
pybind11 (2.3.0-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.4.0

 -- Drew Parsons <dparsons@debian.org>  Fri, 02 Aug 2019 18:39:50 +0800

pybind11 (2.3.0-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - applies patch ignore_bogus_numpy_ABI_warning.patch
  * Standards-Version: 4.3.0
  * debhelper compatibility level 12
    Build-Depends: debhelper-compat (= 12)

 -- Drew Parsons <dparsons@debian.org>  Thu, 13 Jun 2019 21:12:54 +1000
