=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: libs
 Priority: optional
-Build-Depends: cmake (>= 2.8.12),
-               debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
+               cmake (>= 2.8.12),
                dpkg-dev (>= 1.17.14),
                dh-python,
                libboost-dev (>= 1.56) <!nocheck>,
@@ -21,7 +21,7 @@
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                sphinx-common
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/science-team/pybind11
 Vcs-Git: https://salsa.debian.org/science-team/pybind11.git
 Homepage: https://github.com/pybind/pybind11
