## pybind11 2.4.3

=== debian/changelog ===
pybind11 (2.4.3-2build2) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:38:17 +0000

pybind11 (2.4.3-2build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:52:34 +0000

pybind11 (2.4.3-2) unstable; urgency=medium

  * Team upload.
  * drop python-pybind11 (Python2 is deprecated). Closes: #937389.

 -- Drew Parsons <dparsons@debian.org>  Fri, 15 Nov 2019 14:27:37 +0800

pybind11 (2.4.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.4.1

 -- Drew Parsons <dparsons@debian.org>  Sun, 20 Oct 2019 12:41:47 +0800

pybind11 (2.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Tue, 24 Sep 2019 14:14:59 +0800
