=== debian/control ===
--- 
+++ 
@@ -9,8 +9,6 @@
                dh-python,
                libboost-dev (>= 1.56) <!nocheck>,
                libeigen3-dev <!nocheck>,
-               python-all,
-               python-setuptools,
                python3-all,
                python3-breathe <!nodoc>,
                python3-dev <!nocheck>,
@@ -21,7 +19,7 @@
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                sphinx-common
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/science-team/pybind11
 Vcs-Git: https://salsa.debian.org/science-team/pybind11.git
 Homepage: https://github.com/pybind/pybind11
@@ -61,24 +59,6 @@
  This package provides the documentation.
 Build-Profiles: <!nodoc>
 
-Package: python-pybind11
-Architecture: all
-Multi-Arch: foreign
-Section: python
-Depends: ${misc:Depends},
-         ${python:Depends},
-         pybind11-dev (= ${binary:Version})
-Recommends: python-numpy
-Description: pybind11 helper module for Python 2
- pybind11 is a lightweight header library that exposes C++ types in
- Python and vice versa, mainly to create Python bindings of existing C++
- code. Its goals and syntax are similar to the excellent Boost.Python
- library by David Abrahams: to minimize boilerplate code in traditional
- extension modules by inferring type information using compile-time
- introspection.
- .
- This package provides pybind11 for Python 2.
-
 Package: python3-pybind11
 Architecture: all
 Multi-Arch: foreign
