## pybind11 2.5.0

=== debian/changelog ===
pybind11 (2.5.0-5) unstable; urgency=medium

  * Team upload.
  * debian patch docs_skip_pytypes.patch skips building pytypes docs
    in order to build with sphinx 3.2.1. See upstream Issue #2404.
    Closes: #963659.
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Fri, 28 Aug 2020 11:09:42 +0800

pybind11 (2.5.0-4) unstable; urgency=medium

  * Team upload.
  * debian/tests pybind11 tests (pytest) Depends: python3-all-dev

 -- Drew Parsons <dparsons@debian.org>  Wed, 22 Apr 2020 12:07:03 +0800

pybind11 (2.5.0-3) unstable; urgency=medium

  * Team upload.
  * specify compiler (g++) for pybind11 (pytest) tests in debian/tests

 -- Drew Parsons <dparsons@debian.org>  Mon, 20 Apr 2020 10:56:44 +0800

pybind11 (2.5.0-2) unstable; urgency=medium

  * Team upload.
  * upload new upstream version to unstable

 -- Drew Parsons <dparsons@debian.org>  Sun, 19 Apr 2020 10:00:25 +0800

pybind11 (2.5.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * update API in debian test example:
    use PYBIND11_MODULE instead of deprecated PYBIND11_PLUGIN
  * add pybind11 tests to debian/tests with pytest-3
  * Standards-Version: 4.5.0

 -- Drew Parsons <dparsons@debian.org>  Thu, 16 Apr 2020 23:37:30 +0800
