=== debian/tests/control ===
--- 
+++ 
@@ -29,3 +29,19 @@
  ; $py -m pybind11 --includes
  ; done
 Depends: python3-all, python3-pybind11
+
+Test-Command: set -e
+ ; cp -r tests ${AUTOPKGTEST_TMP}
+ ; cd ${AUTOPKGTEST_TMP}/tests
+ ; cmake .
+ ; make
+ ; pytest-3
+Depends: python3-all-dev,
+ python3-pybind11,
+ python3-pytest,
+ python3-numpy,
+ python3-scipy,
+ cmake,
+ g++,
+ libboost-dev,
+ libeigen3-dev
